Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592228 - New catalog should have a schema change to deal with exceptions
Summary: New catalog should have a schema change to deal with exceptions
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog Workflow
Version: 1.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Tony Fu
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-14 10:03 UTC by Wei Shen
Modified: 2014-06-23 01:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-22 06:59:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch for db schema changes (deleted)
2010-05-31 08:10 UTC, Mao DengFeng
no flags Details | Diff

Description Wei Shen 2010-05-14 10:03:18 UTC
Description of problem:
In order to save the exceptions, we need to create a new table "rh_hwcert_exceptions", which has two fields "exception_id" and "exception_description", also add an "exception_id" to table "rh_hwcert_hardware", "rh_hwcert_model_names", "rh_hwcert_testplan".

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Mao DengFeng 2010-05-31 08:10:15 UTC
Created attachment 418202 [details]
patch for db schema changes


Note You need to log in before you can comment on or make changes to this bug.